#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Math
%define		pnam	PlanePath
%include	/usr/lib/rpm/macros.perl
Summary:	Points on a path through the 2-D plane
Name:		perl-Math-PlanePath
Version:	119
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Math/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9f801c33fe099b943f46ceccbc5fab40
URL:		http://search.cpan.org/dist/Math-PlanePath/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Math::Libm)
BuildRequires:	perl(constant::defer) >= 5
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Points on a path through the 2-D plane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Math/NumSeq
%{perl_vendorlib}/Math/PlanePath
%{perl_vendorlib}/Math/PlanePath.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Jun 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Math-PlanePath.git;a=log;h=auto/th/perl-Math-PlanePath-119-1

* Tue Jun 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e0e7be
- initial

